apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Luke Perkins" <lukeperk...@epicdgs.us>
Subject RE: Difference between TARBALL and SVN checkout
Date Sun, 05 Feb 2017 17:20:13 GMT
Yann,

That did it. Now I seem to be compiling.

Suggestion: A comment in the README would be appreciated.

Thank-you,

Luke Perkins

-----Original Message-----
From: Yann Ylavic [mailto:ylavic.dev@gmail.com] 
Sent: Sunday, February 5, 2017 02:19
To: lukeperkins@epicdgs.us
Cc: apr-dev <dev@apr.apache.org>
Subject: Re: Difference between TARBALL and SVN checkout

On Sat, Feb 4, 2017 at 5:39 PM, Luke Perkins <lukeperkins@epicdgs.us> wrote:
>
> It appears that I am missing a part of the setup instructions for 
> building the apr from SVN checkout vs. the apr-1.5.4 tarball.
>
> I can build the tarball version without issue. However, when I perform 
> an SVN checkout, there is something going on --with-libxml2 switch I 
> do not understand.

APR-util tarball is bundled with expat, so it works by default (out of the box).
But this expat version is not up to date, so it's still recommended to build with your system's
one (or libxml2).

With an svn checkout version, no builtin exapt, so the ./configure ought to point to some
development package of libxml2 or libexpat.

> ./configure  prefix=/usr/local/apr After a very long configuration, 
> the script stops with the message  configure: error: No XML parser found!
> Please specify --with-expat or --with-libxml2 . I have attempted 
> specifying this switch to multiple locations to no avail.
> Ubuntu apt-get indicates that libxml2 is installed.

You probably need the libxml2-dev package (or libexpat-dev), and possibly --with-libmlx2=/usr
(resp. --with-expat=/usr), for headers files and build options to be found by ./configure.


Regards,
Yann.


Mime
View raw message